From e9a26231860bbc65fe70dbcdf730971271e627d3 Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Wed, 26 Jun 2024 12:59:15 +0300
Subject: [PATCH v2 1/2] Fix the comment for SlruCtlData.long_segment_names

Oversight of 4ed8f0913bfd

Aleksander Alekseev, reported by Noah Misch
---
 src/include/access/slru.h | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/src/include/access/slru.h b/src/include/access/slru.h
index 8a8d191873..269dad37af 100644
--- a/src/include/access/slru.h
+++ b/src/include/access/slru.h
@@ -134,10 +134,8 @@ typedef struct SlruCtlData
 	bits16		bank_mask;
 
 	/*
-	 * If true, use long segment filenames formed from lower 48 bits of the
-	 * segment number, e.g. pg_xact/000000001234. Otherwise, use short
-	 * filenames formed from lower 16 bits of the segment number e.g.
-	 * pg_xact/1234.
+	 * If true, use long segment filenames. Use short filenames otherwise.
+	 * See SlruFileName().
 	 */
 	bool		long_segment_names;
 
-- 
2.45.2

